Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1183191 - Review Request: ocaml-cudf - Common Upgradeability Description Format (CUDF) library
Summary: Review Request: ocaml-cudf - Common Upgradeability Description Format (CUDF) ...
Keywords:
Status: CLOSED DUPLICATE of bug 1480794
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW 1183826 1185099
TreeView+ depends on / blocked
 
Reported: 2015-01-17 00:26 UTC by Jon Ludlam
Modified: 2017-08-11 22:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-11 22:03:34 UTC


Attachments (Terms of Use)

Description Jon Ludlam 2015-01-17 00:26:01 UTC
Spec URL: http://www.recoil.org/~jon/ocaml-cudf.spec
SRPM URL: http://www.recoil.org/~jon/ocaml-cudf-0.7-1.fc21.src.rpm
Description:
CUDF (for Common Upgradeability Description Format) is a format for describing
upgrade scenarios in package-based Free and Open Source Software distribution.

libCUDF is a library to manipulate so called CUDF documents. A CUDF document
describe an upgrade problem, as faced by package managers in popular
package-based GNU/Linux distributions.

Fedora Account System Username: jonludlam

Comment 1 Jon Ludlam 2015-01-17 00:26:48 UTC
koji link: http://koji.fedoraproject.org/koji/taskinfo?taskID=8647847

Comment 2 Jon Ludlam 2015-01-21 17:11:50 UTC
I noticed that I have accidentally included the .o files into the main package. However, on removing these, I now have a hard error: 

ocaml-cudf.x86_64: E: no-binary

I'm not convinced this is a real error though - the package contents are now:

/usr/lib64/ocaml/cudf
/usr/lib64/ocaml/cudf/META
/usr/lib64/ocaml/cudf/cudf.cma
/usr/lib64/ocaml/cudf/cudf.cmi
/usr/lib64/ocaml/cudf/cudf_822_lexer.cmi
/usr/lib64/ocaml/cudf/cudf_822_parser.cmi
/usr/lib64/ocaml/cudf/cudf_c.cmi
/usr/lib64/ocaml/cudf/cudf_checker.cmi
/usr/lib64/ocaml/cudf/cudf_conf.cmi
/usr/lib64/ocaml/cudf/cudf_parser.cmi
/usr/lib64/ocaml/cudf/cudf_printer.cmi
/usr/lib64/ocaml/cudf/cudf_type_lexer.cmi
/usr/lib64/ocaml/cudf/cudf_type_parser.cmi
/usr/lib64/ocaml/cudf/cudf_types.cmi
/usr/lib64/ocaml/cudf/cudf_types_pp.cmi
/usr/share/doc/ocaml-cudf
/usr/share/doc/ocaml-cudf/README

and I'm not sure that these are really noarch material.

Comment 3 Jon Ludlam 2015-01-21 17:15:33 UTC
Updated SRPM URL: http://www.recoil.org/~jon/ocaml-cudf-0.7-2.fc21.src.rpm
Updated SPEC URL: http://www.recoil.org/~jon/ocaml-cudf.spec

Comment 4 Richard W.M. Jones 2015-01-23 18:14:47 UTC
You can probably ignore the "error"
ocaml-cudf.x86_64: E: no-binary
rpmlint has some problems with OCaml packages, although it has
improved over time.

The spec file looks reasonable to me.

Comment 5 Jon Ludlam 2015-02-24 17:51:21 UTC
Updated to add in a license file (COPYING) and to fix a missing {?_isa} macro in the devel package Requires line.

Spec URL: http://www.recoil.org/~jon/ocaml-cudf.spec
SRPM URL: http://www.recoil.org/~jon/ocaml-cudf-0.7-3.fc21.src.rpm

Comment 6 Upstream Release Monitoring 2015-10-21 23:08:42 UTC
jonludlam's scratch build of ocaml-cudf-0.8-1.fc23.src.rpm for f23 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11536796

Comment 7 Jon Ludlam 2015-10-21 23:36:23 UTC
New upstream release.

Spec URL: http://www.recoil.org/~jon/ocaml-cudf.spec
SRPM URL: http://www.recoil.org/~jon/ocaml-cudf-0.8-1.fc23.src.rpm

Comment 8 Ben Rosser 2017-08-11 22:03:34 UTC
Jon has been absent since 2015 and nonresponsive on other tickets; therefore I'm marking this as a dead review and resubmitting it here:

https://bugzilla.redhat.com/show_bug.cgi?id=1480794

*** This bug has been marked as a duplicate of bug 1480794 ***


Note You need to log in before you can comment on or make changes to this bug.